-- MySQL dump 10.10
--
-- Host: localhost    Database: qref
-- ------------------------------------------------------
-- Server version	5.0.24a-community-nt-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `artist`
--

DROP TABLE IF EXISTS `artist`;
CREATE TABLE `artist` (
  `artist_id` char(5) NOT NULL,
  `name` varchar(40) NOT NULL,
  `birthday` date default NULL,
  PRIMARY KEY  (`artist_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `artist`
--


/*!40000 ALTER TABLE `artist` DISABLE KEYS */;
LOCK TABLES `artist` WRITE;
INSERT INTO `artist` VALUES ('H0004','HANAKO','1991-03-15'),('S0002','鈴木恵子','1980-10-05'),('S0003','佐藤和夫','1988-02-10'),('U0005','ウイングス','1994-11-20'),('Y0001','山田太郎','1975-12-01');
UNLOCK TABLES;
/*!40000 ALTER TABLE `artist` ENABLE KEYS */;

--
-- Table structure for table `artist_cd`
--

DROP TABLE IF EXISTS `artist_cd`;
CREATE TABLE `artist_cd` (
  `cd_id` char(9) NOT NULL default '',
  `artist_id` char(5) NOT NULL default '',
  PRIMARY KEY  (`cd_id`,`artist_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `artist_cd`
--


/*!40000 ALTER TABLE `artist_cd` DISABLE KEYS */;
LOCK TABLES `artist_cd` WRITE;
INSERT INTO `artist_cd` VALUES ('jazz-0001','U0005'),('jazz-0002','U0005'),('jpop-0001','Y0001'),('jpop-0002','S0002'),('jpop-0003','Y0001'),('jpop-0004','S0003'),('pops-0001','H0004'),('pops-0002','H0004');
UNLOCK TABLES;
/*!40000 ALTER TABLE `artist_cd` ENABLE KEYS */;

--
-- Table structure for table `author`
--

DROP TABLE IF EXISTS `author`;
CREATE TABLE `author` (
  `author_id` char(5) NOT NULL default '',
  `name` varchar(40) default NULL,
  `prize` varchar(100) default NULL,
  PRIMARY KEY  (`author_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `author`
--


/*!40000 ALTER TABLE `author` DISABLE KEYS */;
LOCK TABLES `author` WRITE;
INSERT INTO `author` VALUES ('YY001','山田祥寛',NULL),('NK002','掛谷奈美',NULL),('MF003','藤井茉莉','新人賞'),('SS004','佐藤正二',NULL),('MT005','高橋美穂','PCブック賞');
UNLOCK TABLES;
/*!40000 ALTER TABLE `author` ENABLE KEYS */;

--
-- Table structure for table `book`
--

DROP TABLE IF EXISTS `book`;
CREATE TABLE `book` (
  `isbn` char(13) NOT NULL default '',
  `author_id` char(5) default NULL,
  `title` varchar(255) default NULL,
  `price` int(11) default NULL,
  PRIMARY KEY  (`isbn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `book`
--


/*!40000 ALTER TABLE `book` DISABLE KEYS */;
LOCK TABLES `book` WRITE;
INSERT INTO `book` VALUES ('4-7981-1206-2','YY001','サーバサイドAjax入門',2940),('4-7981-1062-0','NK002','ASP.NET2.0入門教室 ',2940),('4-7981-1070-1','MF003','XMLデータベース入門 ',3780),('4-88337-491-2','TT004','SQLのドリル ',2310),('4-7980-1270-X','AH005','PHP辞典 ',2520);
UNLOCK TABLES;
/*!40000 ALTER TABLE `book` ENABLE KEYS */;

--
-- Table structure for table `cd`
--

DROP TABLE IF EXISTS `cd`;
CREATE TABLE `cd` (
  `cd_id` char(9) NOT NULL default '',
  `title` varchar(255) default NULL,
  `used_price` int(11) default NULL,
  `company` varchar(30) default NULL,
  `record_date` date default NULL,
  `category_id` char(5) default NULL,
  PRIMARY KEY  (`cd_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `cd`
--


/*!40000 ALTER TABLE `cd` DISABLE KEYS */;
LOCK TABLES `cd` WRITE;
INSERT INTO `cd` VALUES ('jpop-0001','花',300,'ヤマダミュージック','2001-12-05','JPOPS'),('jpop-0002','旅立ち',350,'ヤマダミュージック','2001-11-10','JPOPS'),('jpop-0003','すし音頭',300,'ヤマダミュージック','2002-02-07','JPOPS'),('jpop-0004','風のように',350,'NYプロモーション','2002-05-14','JPOPS'),('pops-0001','PEACE',500,'スターレコード','2005-08-09','WPOPS'),('pops-0002','WISH',500,'NYプロモーション','2006-07-10','WPOPS'),('jazz-0001','赤色の小瓶 ',250,'WINGSジャパン','2005-06-19','JJAZZ'),('jazz-0002','ダイヤの首飾り ',400,'WINGSジャパン','2005-05-24','JJAZZ');
UNLOCK TABLES;
/*!40000 ALTER TABLE `cd` ENABLE KEYS */;

--
-- Table structure for table `class`
--

DROP TABLE IF EXISTS `class`;
CREATE TABLE `class` (
  `class_id` char(5) NOT NULL default '',
  `name` varchar(100) default NULL,
  `parent` char(5) default NULL,
  PRIMARY KEY  (`class_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `class`
--


/*!40000 ALTER TABLE `class` DISABLE KEYS */;
LOCK TABLES `class` WRITE;
INSERT INTO `class` VALUES ('G0001','外国語',''),('G0002','英語','G0001'),('G0003','独語','G0001'),('G0004','仏語','G0001'),('G0005','英会話','G0002'),('G0006','英文法','G0002');
UNLOCK TABLES;
/*!40000 ALTER TABLE `class` ENABLE KEYS */;

--
-- Table structure for table `logo`
--

DROP TABLE IF EXISTS `logo`;
CREATE TABLE `logo` (
  `logo_id` int(11) NOT NULL auto_increment,
  `site_name` varchar(50) default NULL,
  `image` blob,
  PRIMARY KEY  (`logo_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `logo`
--


/*!40000 ALTER TABLE `logo` DISABLE KEYS */;
LOCK TABLES `logo` WRITE;
INSERT INTO `logo` VALUES (1,'WINGS',NULL),(2,'WebDeli',NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `logo` ENABLE KEYS */;

--
-- Table structure for table `member`
--

DROP TABLE IF EXISTS `member`;
CREATE TABLE `member` (
  `member_id` char(5) NOT NULL default '',
  `name` varchar(40) NOT NULL,
  `name_kana` varchar(80) default NULL,
  `sex` enum('男','女') default NULL,
  `passwd` blob,
  `birthday` date default NULL,
  `blood` enum('A','B','O','AB') default NULL,
  `address` varchar(100) default NULL,
  `tel` varchar(20) default NULL,
  `email` varchar(255) default NULL,
  `card` tinyint(1) default '0',
  `family` set('本人','祖父','祖母','父','母','兄','姉','弟','妹','配偶者','子ども','その他') default '本人',
  PRIMARY KEY  (`member_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `member`
--


/*!40000 ALTER TABLE `member` DISABLE KEYS */;
LOCK TABLES `member` WRITE;
INSERT INTO `member` VALUES ('Y0001','山田太郎','ヤマダタロウ','男','53fec4cda201806226c4852e4678eaa0','1980-11-10','A','東京都東京市東町1-1-1','03-1234-5678','taro@wings.msn.to',0,'本人,配偶者,子ども'),('Y0002','山田太郎','ヤマダタロウ','男','1d9a68c08eaec4927173af57683f05d9','1981-05-05','O','東京都北東京市南町3-3-3','03-1234-5679','yama@wings.msn.to',1,'本人'),('K0001','掛谷翔太','カケヤショウタ','男','23dab1523d6b9d2bad06774e8b60fe42','1978-04-25','O','千葉県東千葉市南町2-2-2','03-1234-5680','kakeya@wings.msn.to',0,'本人,祖母,父,母'),('K0002','小林智子','コバヤシトモコ','女','bcea36077206c2436ff2e3e3b836f6e9',NULL,'A','東京都大阪市北町1-1-2','03-1234-5680','koba@wings.msn.to',1,'本人'),('O0001','大田智子','オオタトモコ','女','5f027ff027823d637c410fc7f8d42913','1984-07-21','B','神奈川県神奈川市北町3-3-2','046-234-5682','ota@wings.msn.to',0,'本人,父,母,兄,妹,その他'),('K0003','川崎隆二','カワサキリュウジ','男','a7e1d23834d620db534025585a19fce1','1982-09-30','AB','埼玉県西埼玉市寺町3-3-3','048-234-5683','kawa@wings.msn.to',1,'本人,配偶者,子ども,その他');
UNLOCK TABLES;
/*!40000 ALTER TABLE `member` ENABLE KEYS */;

--
-- Table structure for table `rental`
--

DROP TABLE IF EXISTS `rental`;
CREATE TABLE `rental` (
  `id` int(11) NOT NULL auto_increment,
  `member_id` char(7) default NULL,
  `cd_id` char(9) default NULL,
  `rental_date` datetime default NULL,
  `returned` smallint(6) default '0',
  PRIMARY KEY  (`id`),
  KEY `cd_id` (`cd_id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `rental`
--


/*!40000 ALTER TABLE `rental` DISABLE KEYS */;
LOCK TABLES `rental` WRITE;
INSERT INTO `rental` VALUES (1,'K0002','jpop-0001','2006-04-28 11:11:12',1),(2,'K0002','jpop-0002','2006-05-01 22:14:18',1),(3,'Y0001','jpop-0003','2006-06-01 14:22:12',1),(4,'K0001','jpop-0004','2006-07-01 17:14:17',1),(5,'K0002','pops-0001','2006-07-13 16:17:25',1),(6,'O0001','pops-0002','2006-08-17 20:28:39',1),(7,'K0002','jazz-0001','2006-08-21 15:11:12',1),(8,'K0001','jpop-0001','2006-08-31 20:14:18',0),(9,'O0001','jpop-0001','2006-09-01 10:22:12',0),(10,'Y0001','jpop-0002','2006-09-11 23:14:17',0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `rental` ENABLE KEYS */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

